; ##############################################################################
; ##############################################################################
; ##############################################################################
; 0= 1-7	Mo-So																
; 1= 1		Mo																	
; 2= 2		Di																	
; 3= 3		Mi																	
; 4= 4		Do																	
; 5= 5		Fr																	
; 6= 6		Sa																	
; 7= 7		So																	
; 8=1-5		Mo-Fr																
; 9=6-7		Sa-So																
ANZEIGE_TEXT_ZEITPROGRAMM_GRUPPE:
	STS(adr_LCD3),NULL
	STS(adr_LCD2),NULL
	STS(adr_LCD1),NULL
	STS(adr_LCD0),NULL
	LDS temp1,(adr_ZEITPROGRAMM_GRUPPE)
	cpi temp1,0
	breq ANZEIGE_TEXT_PROGRAMMGRUPPE_0
	cpi temp1,8
	breq ANZEIGE_TEXT_PROGRAMMGRUPPE_8
	cpi temp1,9
	breq ANZEIGE_TEXT_PROGRAMMGRUPPE_9
	push temp1
	call TEXT_DAY
	pop temp1
	jmp LCD_ZAHL_1_TEMP1	; 1..7	
;-------------------------------------------------------------------------------
ANZEIGE_TEXT_PROGRAMMGRUPPE_0:
	ldi temp4,(LCD_)
	ldi temp3,(LCD_1)
	ldi temp2,(LCD_MINUS)
	ldi temp1,(LCD_7)
	jmp LCD_TEXT_TEMP1_4
;-------------------------------------------------------------------------------
ANZEIGE_TEXT_PROGRAMMGRUPPE_8:
	ldi temp4,(LCD_)
	ldi temp3,(LCD_1)
	ldi temp2,(LCD_MINUS)
	ldi temp1,(LCD_5)
	jmp LCD_TEXT_TEMP1_4
;-------------------------------------------------------------------------------
ANZEIGE_TEXT_PROGRAMMGRUPPE_9:
	ldi temp4,(LCD_)
	ldi temp3,(LCD_6)
	ldi temp2,(LCD_MINUS)
	ldi temp1,(LCD_7)
	jmp LCD_TEXT_TEMP1_4
; ##############################################################################
; ##############################################################################
; ##############################################################################
TEXT_ADC:
	ldi temp4,(LCD_A)
	ldi temp3,(LCD_D)
	ldi temp2,(LCD_C)
	ldi temp1,(LCD_)
	jmp LCD_TEXT_TEMP1_4
; ##############################################################################
TEXT_BATT:
	call LCD_CLEAR
	ldi temp4,(LCD_B)
	ldi temp3,(LCD_A)
	ldi temp2,(LCD_T)
	ldi temp1,(LCD_T)
	jmp LCD_TEXT_TEMP1_4
; ##############################################################################
TEXT_BOOST:
	call LCD_CLEAR
	ldi temp4,(LCD_b)
	ldi temp3,(LCD_o)
	ldi temp2,(LCD_S)
	ldi temp1,(LCD_T)
	jmp LCD_TEXT_TEMP1_4
; ##############################################################################
TEXT_CAL:
	ldi temp4,(LCD_C)
	ldi temp3,(LCD_A)
	ldi temp2,(LCD_L)
	ldi temp1,(LCD_)
	jmp LCD_TEXT_TEMP1_4
; ##############################################################################
TEXT_DAY:
	ldi temp4,(LCD_D)
	ldi temp3,(LCD_A)
	ldi temp2,(LCD_Y)
	ldi temp1,(LCD_)
	jmp LCD_TEXT_TEMP1_4
; ##############################################################################
TEXT_EEPROM_SAVE:
	call LCD_CLEAR
	ldi temp4,(LCD_S)
	ldi temp3,(LCD_A)
	ldi temp2,(LCD_F)
	ldi temp1,(LCD_E)
	call LCD_TEXT_TEMP1_4
	jmp WAIT_200ms
; ##############################################################################
TEXT_ERROR:
	call LCD_CLEAR
	ldi temp4,(LCD_E)
	ldi temp3,(LCD_r)
	ldi temp2,(LCD_r)
	ldi temp1,(LCD_)
	call LCD_TEXT_TEMP1_4
	jmp WAIT_1s
; ##############################################################################
TEXT_EEPROM_FACTORY:
	call LCD_CLEAR
	ldi temp4,(LCD_F)
	ldi temp3,(LCD_A)
	ldi temp2,(LCD_C)
	ldi temp1,(LCD_T)
	call LCD_TEXT_TEMP1_4
	jmp WAIT_1s
; ##############################################################################
TEXT_ESC:
	call LCD_CLEAR
	ldi temp4,(LCD_E)
	ldi temp3,(LCD_S)
	ldi temp2,(LCD_C)
	ldi temp1,(LCD_)
	jmp LCD_TEXT_TEMP1_4
; ##############################################################################
TEXT_OFFS:
	call LCD_CLEAR
	ldi temp4,(LCD_O)
	ldi temp3,(LCD_F)
	ldi temp2,(LCD_F)
	ldi temp1,(LCD_S)
	jmp LCD_TEXT_TEMP1_4
; ##############################################################################
TEXT_POS:
	call LCD_CLEAR
	ldi temp4,(LCD_P)
	ldi temp3,(LCD_O)
	ldi temp2,(LCD_S)
	ldi temp1,(LCD_)
	jmp LCD_TEXT_TEMP1_4
; ##############################################################################
TEXT_POSE:
	call LCD_CLEAR
	ldi temp4,(LCD_P)
	ldi temp3,(LCD_O)
	ldi temp2,(LCD_S)
	ldi temp1,(LCD_E)
	jmp LCD_TEXT_TEMP1_4
; ##############################################################################
TEXT_INST:
	call LCD_CLEAR
	ldi temp4,(LCD_I)
	ldi temp3,(LCD_N)
	ldi temp2,(LCD_S)
	ldi temp1,(LCD_T)
	jmp LCD_TEXT_TEMP1_4
; ##############################################################################
TEXT_IST:
	call LCD_CLEAR
	ldi temp4,(LCD_I)
	ldi temp3,(LCD_S)
	ldi temp2,(LCD_T)
	ldi temp1,(LCD_)
	jmp LCD_TEXT_TEMP1_4
; ##############################################################################
TEXT_NULL:
	call LCD_CLEAR
	ldi temp4,(LCD_n)
	ldi temp3,(LCD_u_)
	ldi temp2,(LCD_L)
	ldi temp1,(LCD_L)
	jmp LCD_TEXT_TEMP1_4
; ##############################################################################
TEXT_MINUS:
	call LCD_CLEAR
	ldi temp4,(LCD_MINUS)
	ldi temp3,(LCD_MINUS)
	ldi temp2,(LCD_MINUS)
	ldi temp1,(LCD_MINUS)
	jmp LCD_TEXT_TEMP1_4
; ##############################################################################
TEXT_RES0:
	call LCD_CLEAR
	ldi temp4,(LCD_R)
	ldi temp3,(LCD_E)
	ldi temp2,(LCD_S)
	ldi temp1,(LCD_)
	jmp LCD_TEXT_TEMP1_4
; ##############################################################################
TEXT_RES1:
	call LCD_CLEAR
	ldi temp4,(LCD_R)
	ldi temp3,(LCD_E)
	ldi temp2,(LCD_S)
	ldi temp1,(LCD_1)
	jmp LCD_TEXT_TEMP1_4
; ##############################################################################







