; ##############################################################################
; ##############################################################################
; ##############################################################################
TASTEN_INITIALISIEREN:
	; auf EINGANG		
	cbi (TASTE_AM_DDR)  ,(TASTE_AM_PIN_NR)
	cbi (TASTE_PROG_DDR),(TASTE_PROG_PIN_NR)
	cbi (TASTE_TEMPERATUR_DDR),(TASTE_TEMPERATUR_PIN_NR)
	; PULL-UP ein		
	sbi (TASTE_AM_PORT) ,(TASTE_AM_PIN_NR)
	sbi (TASTE_PROG_PORT),(TASTE_PROG_PIN_NR)
	sbi (TASTE_TEMPERATUR_PORT),(TASTE_TEMPERATUR_PIN_NR)
ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
TASTATUR_ABFRAGE_WAIT_NULL:
	call LCD_CLEAR
	call TASTATUR_ABFRAGE
	tst temp
	brne TASTATUR_ABFRAGE_WAIT_NULL
ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
TASTATUR_ABFRAGE:
	WDR
	push temp9
	clr temp
	ldi temp9,10	; Schleife					
TASTATUR_ABFRAGE_s:
	; Taste "AM"gedrckt ?	
	sbis (TASTE_AM_PIN),(TASTE_AM_PIN_NR)					; springe, wenn BIT(PIN) high	
	SBR temp,(TASTE_AM_WERT)
	; Taste "PROG"gedrckt ?	
	sbis (TASTE_PROG_PIN),(TASTE_PROG_PIN_NR)				; springe, wenn BIT(PIN) high	
	SBR temp,(TASTE_PROG_WERT)
	; Taste "TEMP"gedrckt ?	
	sbis (TASTE_TEMPERATUR_PIN),(TASTE_TEMPERATUR_PIN_NR)	; springe, wenn BIT(PIN) high	
	SBR temp,(TASTE_TEMPERATUR_WERT)
	; Reset ?					
	cpi temp,(TASTE_AM_WERT)+(TASTE_TEMPERATUR_WERT)
	breq TASTATUR_ABFRAGE_RESET
	; Schleife					
	tst temp
	brne TASTATUR_ABFRAGE_OK
	call WAIT_1ms
	dec temp9
	brne TASTATUR_ABFRAGE_s
	STS(adr_TASTE),temp				; save
	pop temp9
	ret
;-------------------------------------------------------------------------------
TASTATUR_ABFRAGE_RESET:
	call LCD_VOLL
	call MOTOR_BEEP
TASTATUR_ABFRAGE_RESET_s:
	rjmp TASTATUR_ABFRAGE_RESET_s
;-------------------------------------------------------------------------------
TASTATUR_ABFRAGE_OK:
	STS(adr_TASTE),temp				; save
	pop temp9
	call LCD_CLEAR

	LDS temp,(adr_MENUE)
	tst temp
	brne TASTATUR_ABFRAGE_ww
	ret
;-------------------------------------------------------------------------------
TASTATUR_ABFRAGE_ww:
	LDS temp,(adr_TASTE)
	cpi temp,(TASTE_AM_WERT)
	breq TASTATUR_ABFRAGE_www
	ret
;-------------------------------------------------------------------------------
TASTATUR_ABFRAGE_www:
	STS(adr_TASTE),NULL
	call TEXT_ESC
	call WAIT_200ms
	ldi temp,(-1)		;(-1) wichtig	
	STS(adr_MENUE),temp
ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
